//---------------------------------------------------------------------------

#ifndef MacCommH
#define MacCommH

IMPORT const int Xaxis; // axis handles
IMPORT const int Yaxis;

//--- Init/Term
IMPORT bool Mac_Init(TMacComm *MacObj,
                     const int ComPort,   // COM1,COM2...
                     const double xPitch,  // mm/omgang
                     const double yPitch,
                     const double xHomeSpeed, // m/min med fortegn
                     const double yHomeSpeed);

IMPORT void Mac_Term(void);

//--- Get...
IMPORT double Mac_Get(const int Axis);
IMPORT double Mac_GetRPM(const int Axis);
IMPORT double Mac_GetSpeed(const int Axis); // [m/min]



//--- Set...
IMPORT void Mac_SetMaxRPM(const int Axis, const double rpm);
IMPORT void Mac_SetMaxSpeed(const int Axis, const double Speed); // [m/min]


//--- Flags
IMPORT bool Mac_IsInit(void);


//--- Positioning
IMPORT void Mac_Goto(const int Axis, const double x);
IMPORT void Mac_GotoMax(const int Axis);
IMPORT void Mac_StopAll(void);
IMPORT void Mac_Stop(const int Axis);
IMPORT void Mac_Home(const int Axis);
IMPORT void Mac_HomeTorqueXY(void);
IMPORT void Mac_FindStroke(const int Axis);
IMPORT void Mac_FindStrokeXY(void);

//---------------------------------------------------------------------------
#endif
